local Recipetabs = GLOBAL.RECIPETABS
local Ingredient = GLOBAL.Ingredient
local Strings = GLOBAL.STRINGS

Strings.RECIPE_DESC.GEARS = "an Egg Crawling with Suprises"

local science = GetModConfigData("Science")

local materials = {
	{ name = "Silk", material = "silk" },
	{ name = "Spider Gland", material = "spidergland" },
	{ name = "Cut Reeds", material = "cutreeds" },
	{ name = "Papyrus", material = "papyrus" },
}
local formula = { }
local fsize = 0

for i = 1, #materials do
	local name = materials[i]["name"]
	local material = materials[i]["material"]
	local count = GetModConfigData(name)
	if count > 0 then
		fsize = fsize + 1
		formula[fsize] = Ingredient(material, count)
	end
end

AddRecipe(
	"spidereggsack", formula, Recipetabs.TOWN,
	{ SCIENCE = science, MAGIC = 0, ANCIENT = 0 },
	nil, nil, nil, nil, nil, nil
	)
